<?php

namespace App\Modules\HR\Core\Models;

use App\Modules\HR\Payroll\Models\Deduction;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class DesignationDeduction extends Model
{
    protected $table = 'designation_deductions';

    protected $fillable = [
        'designation_id',
        'deduction_id',
    ];

    /* ================= Relationships ================= */

    public function designation(): BelongsTo
    {
        return $this->belongsTo(Designation::class);
    }

    public function deduction(): BelongsTo
    {
        return $this->belongsTo(Deduction::class);
    }
}
